#
# spec file for package sles-release
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           sles-release
License:        GPL v2 or later
Group:          System/Fhs
Version:        10
Release:        15.57.1
%define         betaversion %(echo "")
Provides:       distribution-release
Provides:       %{name}-10 %{name}-10-sp1 %{name}-10-sp2 %{name}-10-sp3 %{name}-10-sp4
Provides:       unitedlinux-release:/etc/issue
Obsoletes:      unitedlinux-release
Obsoletes:      core-release
Conflicts:      suse-release suse-release-oss
AutoReqProv:    on
Summary:        SLES release file
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      translation-update <= 0.5
Obsoletes:      translation-update-ar <= 10.0.0-0.5
Obsoletes:      translation-update-bg <= 10.0.0-0.5
Obsoletes:      translation-update-bn <= 10.0.0-0.5
Obsoletes:      translation-update-bs <= 10.0.0-0.5
Obsoletes:      translation-update-ca <= 10.0.0-0.5
Obsoletes:      translation-update-cs <= 10.0.0-0.5
Obsoletes:      translation-update-cy <= 10.0.0-0.5
Obsoletes:      translation-update-da <= 10.0.0-0.5
Obsoletes:      translation-update-de <= 10.0.0-0.5
Obsoletes:      translation-update-el <= 10.0.0-0.5
Obsoletes:      translation-update-en_GB <= 10.0.0-0.5
Obsoletes:      translation-update-en_US <= 10.0.0-0.5
Obsoletes:      translation-update-es <= 10.0.0-0.5
Obsoletes:      translation-update-fi <= 10.0.0-0.5
Obsoletes:      translation-update-fr <= 10.0.0-0.5
Obsoletes:      translation-update-gl <= 10.0.0-0.5
Obsoletes:      translation-update-he <= 10.0.0-0.5
Obsoletes:      translation-update-hi <= 10.0.0-0.5
Obsoletes:      translation-update-hr <= 10.0.0-0.5
Obsoletes:      translation-update-hu <= 10.0.0-0.5
Obsoletes:      translation-update-id <= 10.0.0-0.5
Obsoletes:      translation-update-it <= 10.0.0-0.5
Obsoletes:      translation-update-ja <= 10.0.0-0.5
Obsoletes:      translation-update-ka <= 10.0.0-0.5
Obsoletes:      translation-update-km <= 10.0.0-0.5
Obsoletes:      translation-update-ko <= 10.0.0-0.5
Obsoletes:      translation-update-lo <= 10.0.0-0.5
Obsoletes:      translation-update-lt <= 10.0.0-0.5
Obsoletes:      translation-update-nb <= 10.0.0-0.5
Obsoletes:      translation-update-nl <= 10.0.0-0.5
Obsoletes:      translation-update-pa <= 10.0.0-0.5
Obsoletes:      translation-update-pl <= 10.0.0-0.5
Obsoletes:      translation-update-pt <= 10.0.0-0.5
Obsoletes:      translation-update-pt_BR <= 10.0.0-0.5
Obsoletes:      translation-update-ro <= 10.0.0-0.5
Obsoletes:      translation-update-ru <= 10.0.0-0.5
Obsoletes:      translation-update-sk <= 10.0.0-0.5
Obsoletes:      translation-update-sl <= 10.0.0-0.5
Obsoletes:      translation-update-sr <= 10.0.0-0.5
Obsoletes:      translation-update-sv <= 10.0.0-0.5
Obsoletes:      translation-update-ta <= 10.0.0-0.5
Obsoletes:      translation-update-tr <= 10.0.0-0.5
Obsoletes:      translation-update-uk <= 10.0.0-0.5
Obsoletes:      translation-update-vi <= 10.0.0-0.5
Obsoletes:      translation-update-zh_CN <= 10.0.0-0.5
Obsoletes:      translation-update-zh_TW <= 10.0.0-0.5

%description
This package contains the /etc/SuSE-release, /etc/motd, /etc/issue and
/etc/issue.net files.



%install
mkdir -p $RPM_BUILD_ROOT/etc
echo -e "\nWelcome to SUSE Linux Enterprise Server %{version} SP4 %{betaversion} (%{_target_cpu}) - Kernel \\\r (\\\l).\n\n" > $RPM_BUILD_ROOT/etc/issue
echo -e "Welcome to SUSE Linux Enterprise Server %{version} SP4 %{betaversion} (%{_target_cpu}) - Kernel %%r (%%t)." > $RPM_BUILD_ROOT/etc/issue.net
echo "SUSE Linux Enterprise Server %{version} (%{_target_cpu})" > $RPM_BUILD_ROOT/etc/SuSE-release
echo VERSION = %{version} >> $RPM_BUILD_ROOT/etc/SuSE-release
echo PATCHLEVEL = 4 >> $RPM_BUILD_ROOT/etc/SuSE-release
touch $RPM_BUILD_ROOT/etc/motd

%files
%defattr(644,root,root,755)
/etc/SuSE-release
%config(noreplace) /etc/motd
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net

%changelog
* Fri Mar  4 2011 behlert@suse.de
- Removing RC-hints
* Mon Feb 14 2011 kukuk@suse.de
- Update for RC3
* Mon Jan 31 2011 behlert@suse.de
- Update for RC2
* Tue Dec 14 2010 kukuk@suse.de
- Update for RC1
* Thu Nov 25 2010 kukuk@suse.de
- Update for Beta4
* Fri Nov 12 2010 kukuk@suse.de
- Beta 3
* Wed Oct 27 2010 kukuk@suse.de
- Beta 2
* Fri Oct  8 2010 behlert@suse.de
- Alpha 3
* Wed Jul 14 2010 ro@suse.de
- update for prelim SP4 Alpha2
* Wed Sep  2 2009 aosthof@suse.de
- Remove RC2 tag
* Mon Aug 24 2009 ro@suse.de
- RC2
* Tue Jul 28 2009 kukuk@suse.de
- Update for SLES10 SP3 RC1
* Fri Jul  3 2009 kukuk@suse.de
- Update for SLES10 SP3 Beta3
* Fri Jun 26 2009 kukuk@suse.de
- Update for SLES10 SP3 Beta2
* Wed Jun 10 2009 kukuk@suse.de
- Update for SLES10 SP3 Beta1
* Wed May 27 2009 kukuk@suse.de
- Update for SLES10 SP3 Alpha3
* Wed May  6 2009 kukuk@suse.de
- Update for SLES10 SP3 Alpha1
* Wed Apr 22 2009 ro@suse.de
- Update for SLES10 SP3 Alpha0
* Wed Apr 30 2008 kukuk@suse.de
- Remove RC hints
* Sun Apr 20 2008 ro@suse.de
- Update for SLES10 SP2 RC3
* Thu Mar 20 2008 kukuk@suse.de
- Update for SLES10 SP2 RC2
* Thu Mar 13 2008 kukuk@suse.de
- Update for SLES10 SP2 RC1
* Fri Feb 29 2008 kukuk@suse.de
- Update for SLES10 SP2 Beta4
* Mon Feb 18 2008 ro@suse.de
- Update for SLES10 SP2 Beta3
* Fri Feb  1 2008 ro@suse.de
- Update for SLES10 SP2 Beta2
* Mon Jan 21 2008 kukuk@suse.de
- Update for SLES10 SP2 Beta1
* Wed Nov 21 2007 kukuk@suse.de
- Update for SLES10 SP2 Alpha2
* Mon May  7 2007 ro@suse.de
- remove RC tag
* Fri Apr 20 2007 kukuk@suse.de
- Update for SLES10 SP1 RC3
* Mon Apr  2 2007 kukuk@suse.de
- Update for SLES10 SP1 RC2
* Mon Mar 19 2007 kukuk@suse.de
- Update for SLES10 SP1 RC1
* Thu Mar  8 2007 aj@suse.de
- Update for SLES10 SP1 Beta6
* Sat Mar  3 2007 aj@suse.de
- Update for SLES10 SP1 Beta5
* Mon Feb 12 2007 kukuk@suse.de
- Update for SLES10 SP1 Beta4
* Wed Jan 24 2007 kukuk@suse.de
- Update for SLES10 SP1 Beta3
* Thu Jan 18 2007 kukuk@suse.de
- Update for SLES10 SP1 Beta2
* Mon Jan 15 2007 kukuk@suse.de
- Update for SLES10 SP1 Beta1
* Thu Dec 14 2006 kukuk@suse.de
- Update for SLES10 SP1 Preview2
- Obsolete all translation-update packages
* Fri Dec  1 2006 kukuk@suse.de
- Fix last change
* Thu Nov 30 2006 kukuk@suse.de
- Update for SLES10 SP1 Preview1
* Tue May  2 2006 kukuk@suse.de
- Remove Beta Tag for RC phase
* Wed Apr 26 2006 kukuk@suse.de
- Beta11
* Wed Apr 12 2006 kukuk@suse.de
- Beta10
* Fri Mar 24 2006 kukuk@suse.de
- Beta9
* Thu Mar  9 2006 kukuk@suse.de
- Set version number to 10
* Fri Nov 19 2004 kukuk@suse.de
- Update for next SLES
* Tue May 18 2004 kukuk@suse.de
- Remove Beta Tag
* Tue May  4 2004 kukuk@suse.de
- Don't obsolete python-imaging any longer
* Fri Apr 30 2004 kukuk@suse.de
- Adjust for Beta4
* Fri Apr 16 2004 kukuk@suse.de
- Adjust for next Beta and for product name of the week
* Tue Apr  6 2004 kukuk@suse.de
- Fix typo in Obsoletes
* Sat Apr  3 2004 kukuk@suse.de
- Adjust for Beta3
* Mon Mar 29 2004 kukuk@suse.de
- Obsolete some old packages we no longer support on SLES9
* Tue Mar 16 2004 kukuk@suse.de
- Back to old product name
* Thu Mar 11 2004 kukuk@suse.de
- Set version to Beta2
* Wed Mar 10 2004 kukuk@suse.de
- Set version to Beta1
* Mon Dec  8 2003 kukuk@suse.de
- Fix Release and VERSION string
* Wed Oct 22 2003 kukuk@suse.de
- Replace unitedlinux-release on update
* Tue Oct 21 2003 kukuk@suse.de
- Set version number to 9
* Mon Mar 24 2003 ro@suse.de
- display arch as "AMD64" where appropriate
* Tue Dec 10 2002 kukuk@suse.de
- Enable intperpretation of backslah-escaped characters for
  /etc/issue.net [Bug #22352]
* Wed Oct  9 2002 kukuk@suse.de
- Overwrite /etc/issue* from unitedlinux-release [Bug #20616]
* Wed Sep 25 2002 kukuk@suse.de
- Fix Distribution Version number
* Wed Sep 25 2002 kukuk@suse.de
- Set release to RC1
* Wed Sep 18 2002 kukuk@suse.de
- fix preview number for IA64
* Thu Aug 15 2002 kukuk@suse.de
- Initial version for SLES8
